# Copyright © 2020 Amazon Web Services
# Copyright 2020 Google LLC
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
from osdu_api.model.base import Base
from osdu_api.model.search.by_bounding_box import ByBoundingBox
from osdu_api.model.search.by_distance import ByDistance
from osdu_api.model.search.by_geo_polygon import ByGeoPolygon


class SpatialFilter(Base):
    def __init__(self, field: str, by_bounding_box: ByBoundingBox, by_distance: ByDistance, by_geo_polygon: ByGeoPolygon):
        self.field = field
        self.byBoundingBox = by_bounding_box
        self.byDistance = by_distance
        self.byBoundingBox = by_geo_polygon